Bug 10337 - vfs_glusterfs: Enable per client log file
vfs_glusterfs: Enable per client log file
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
4.1.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-19 13:53 UTC by Poornima G
Modified: 2013-12-30 18:20 UTC (History)
0 users

See Also:


Attachments
Proposed patch (3.42 KB, patch)
2013-12-23 07:31 UTC, Poornima G
ira: review+
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Poornima G 2013-12-19 13:53:49 UTC
In Samba configuration file, one of the options of gluster type is
log file, the value of this option was not allowed to contain any
variables, as a result all the clients would have a single log file,
which complicated debugging.
In this patch, variable substitution is performed for gluster log file.
Hence allowing user to customise the gluster log file name.
Comment 1 Poornima G 2013-12-23 07:31:19 UTC
Created attachment 9545 [details]
Proposed patch

Attaching the proposed patch, it is a cherry pick of the patch that is accepted in samba master.
Comment 2 Ira Cooper 2013-12-24 15:14:33 UTC
Comment on attachment 9545 [details]
Proposed patch

On to you Jeremy.
Comment 3 Jeremy Allison 2013-12-24 18:04:55 UTC
Comment on attachment 9545 [details]
Proposed patch

LGTM.
Comment 4 Jeremy Allison 2013-12-24 18:05:16 UTC
Re-assigning to Karolin for inclusion in 4.1.next.
Comment 5 Karolin Seeger 2013-12-26 18:30:07 UTC
Pushed to autobuild-v4-1-test.
Comment 6 Karolin Seeger 2013-12-30 18:20:24 UTC
Pushed to v4-1-test.
Closing out bug report.

Thanks!